# class RDoc::PuppetModule

PuppetModule holds a Puppet Module This is mapped to an HTMLPuppetModule it leverage the RDoc (ruby) module infrastructure

### Attributes

facts[RW]
plugins[RW]

### Public Class Methods

new(name,superclass=nil) click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 40
    def initialize(name,superclass=nil)
      @facts = []
      @plugins = []
      super(name,superclass)
    end

### Public Instance Methods

add_fact(fact) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 55
    def add_fact(fact)
      add_to(@facts, fact)
    end

add_node(name,superclass) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 59
    def add_node(name,superclass)
      cls = @nodes[name]
      unless cls
        cls = PuppetNode.new(name, superclass)
        @nodes[name] = cls if !@done_documenting
        cls.parent = self
        cls.section = @current_section
      end
      cls
    end

add_plugin(plugin) click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 51
    def add_plugin(plugin)
      add_to(@plugins, plugin)
    end

each_fact() { |c| ... } click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 70
    def each_fact
      @facts.each {|c| yield c}
    end

each_node() { |c| ... } click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 78
    def each_node
      @nodes.each {|c| yield c}
    end

each_plugin() { |c| ... } click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 74
    def each_plugin
      @plugins.each {|c| yield c}
    end

initialize_classes_and_modules() click to toggle source
Calls superclass method

    # File lib/puppet/util/rdoc/code_objects.rb, line 46
    def initialize_classes_and_modules
      super
      @nodes = {}
    end

nodes() click to toggle source

    # File lib/puppet/util/rdoc/code_objects.rb, line 82
    def nodes
      @nodes.values
    end